#!/usr/bin/env node

'use strict';

// const spawn = require('cross-spawn');
const program = require('commander');
// const latestVersion = require('@ali/latest-version');
const chalk = require('chalk');
const packageJson = require('../package.json');
const script = require('../src/index.js');


const runScript = (cmd, options) => {
  script[cmd](options);
};

function parseCmd(argv) {
  program
    .version('1.0.0')
    .option('-c, --cmd [必填]', '命令[sync|publish]')
    .option('--app-name [必填]', '美杜沙appName')
    .option('--path [选填]', '解析路径，默认值：./')
    .option('--bucId [选填]', '用户bucId，默认使用帐号"one_box"的id')
    .option('--target-extensions [选填]', `要解析的文件，默认值：'[".js", ".ts", ".jsx", ".tsx"]'`)
    .option('--default-locale [选填]', "同步的语言，默认值：zh-CN")
    .option('--exclude-dir-name [选填]', `排除的文件夹，默认值：'["node_modules", "build"]'`)
    .option('--export-language [选填]', '导出支持的语言，默认值："zh_CN,en_US,zh_TW"')
    .option('--output [选填]', `排除的文件夹，默认值：''./src/locales'`)
    .option('-r,--replace-default [选填]', '是否替换默认文案')
    .parse(argv);
  return program;
}

function execute() {
  const cmd = process.argv[3];
  const options = parseCmd(process.argv);
  switch (cmd) {
    case 'sync':
      runScript(cmd, options);
      break;
    case 'scan':
      runScript(cmd, options);
      break;
    case 'export':
      runScript(cmd, options);
      break;
    case 'translate':
      runScript(cmd, options);
      break;
    case 'audit':
      runScript(cmd, options);
      break;
    case 'detect':
      runScript(cmd, options);
      break;
    default:
      console.log(`Unkown cmd ${cmd}.`);
  }
}

execute();

// latestVersion('@ali/onebox-intl-extract')(function (err, version) {
//   if (err) {
//     console.log('检测新版本失败', err);
//   } else {
//     if (packageJson.version !== version.latest) {
//       console.log(chalk.yellow(`=============请更新版本===========`));
//       console.log(chalk.yellow(`当前版本${packageJson.version}。最新版本${version.latest}，请执行 tnpm ii @ali/onebox-intl-extract -D 安装最新版本`));
//       console.log(chalk.yellow(`=============请更新版本===========`));
//     }
//   }
//   execute();
// });
