/**
 * 默认配置文件
 */
const { DETECT_REGEXP, COMMENT_REGEXP } = require('./src/util/constant');


// 注释正则


const defaultLocale = 'zh_CN';
const targetLocales= ['en_US', 'zh_TW'];
const supportLocales = ['zh_CN', 'en_US', 'zh_TW'];

module.exports = {

  /**
   * 基本/公用配置
   */
  common: {
    supportLocales,
    defaultLocale,
    bucId: 960582,
    path: './',
    extensions: ['.js', '.jsx', '.ts', '.tsx'],
    ignore: [
      'node_modules',
      'build',
      'doc',
      '.*',
      '**/*.test.*',
      '*.config.*',
      'mock.js',
      'mockdata',
    ],
  },
  detect: {
    ignoreRegexp: [
      COMMENT_REGEXP,
      DETECT_REGEXP,
    ],
  },
  translate: {
    sourceLocale: defaultLocale,
    targetLocales,
  },
  scan: {
    exportPath: './medusa',
  },
  export: {
    output: './src/locales',
    replaceDefault: true,
  },
}
