import { processParameters, getNoDefaultMessages } from './util';
import _ from 'lodash';

describe('Test util func', () => {

    test('processParameters test', () => {

        const command = 'export';
        const params = {
            appName: 'aliyun-cdp',
            output: 'aaaaa/aabbb',
        };
        const processedParams = processParameters(command, params);

        expect(typeof processedParams).toBe('object');
        expect(_.get(processedParams, 'appName')).toBe('aliyun-cdp');
        expect(_.get(processedParams, 'output')).toBe('aaaaa/aabbb');
        expect(_.get(processedParams, 'defaultLocale')).toBe('zh_CN');
        expect(_.get(processedParams, 'bucId')).toBe(960582);

    });

    test('test getNoDefaultMessages', () => {
        const code = ` modelConfigPanelStore.setAccountArrears(true);
        Dialog.alert({
          locale: {
            ok: intl.get('NotebookConsole-dialogTextForDefaultOk'),
            cancel: intl.get('NotebookConsole-dialogTextForDefaultCancel')
          },
          title: intl
            .get('pai-console-eas-online-modle-charge-tips')
            .d('提示'),
          content
        });`;
        const filePath = 'test file path';
        const result = getNoDefaultMessages(code, filePath);
        expect(Array.isArray(result)).toBe(true);
        expect(result.length).toBe(2);
        expect(result[0].key).toBe('NotebookConsole-dialogTextForDefaultOk');
        expect(result[1].key).toBe('NotebookConsole-dialogTextForDefaultCancel');
    });

});